@echo off

setlocal 

call setupCmdLine.bat

pushd %WAS_HOME%\bin
if $%1$==$debug$ goto DEBUG
if $%1$==$Debug$ goto DEBUG
if $%1$==$DEBUG$ goto DEBUG
if $%1$==$-v$ goto DEBUG
goto NODEBUG
:DEBUG
set DEBUGOPTS=-traceString "com.ibm.*=all=enabled"
set DESTARG=%2
set DESTPORTARG=%3
goto DEST

:NODEBUG
set DEBUGOPTS=
set DESTARG=%1
set DESTPORTARG=%2

:DEST
if $%DESTARG%$==$$ goto LOCAL
set DEST=-host "%DESTARG%"
if $%DESTPORTARG%$==$$ goto HOSTMSG
set DESTPORT=-port %DESTPORTARG%
echo Remote AdminServer %DESTARG% will be accessed on port %DESTPORTARG%.
goto SERVER

:HOSTMSG
echo Remote AdminServer %DESTARG% will be accessed on the default port (900).
set DESTPORT=
goto SERVER

:LOCAL
set DEST=
set DESTPORT=
echo "No remote host or port argument specified. localhost/900 will be used."
echo "This command may be issued as: adminclient <host address <port number>>" 
:SERVER

rem setup the classpath
set WAS_CP=%WAS_HOME%\lib\ibmwebas.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\properties
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\chart.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\ejs.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\ujc.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\repository.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\admin.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\swingall.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\servletconsole.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\tasks.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\console.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\vaprt.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\lib\sslight.jar
set WAS_CP=%WAS_CP%;%WAS_HOME%\web\help
set WAS_CP=%WAS_CP%;%JAVA_HOME%\lib\classes.zip

rem disable a portion of JIT to account for a JDK Release 12 & 13 issue with Models and Clones.  Do not remove.
set JITC_COMPILEOPT=NMMI2JIT

%JAVA_HOME%\bin\java -mx50331648 -classpath %WAS_CP% %CLIENTSAS% -Dcom.ibm.CORBA.principalName=%COMPUTERNAME%/AdminClient com.ibm.ejs.sm.client.ui.EJSConsole %DEST% %DESTPORT% %DEBUGOPTS% %QUALIFYNAMES%

endlocal
popd
